### Function

# GdkPixdata pixbuf_from_pixdata

deprecated: 2.32

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_from_pixdata (
      const GdkPixdata* pixdata,
      gboolean copy_pixels,
      GError** error
    )

#### Description [src]

Converts a `GdkPixdata` to a `GdkPixbuf`.

If `copy_pixels` is `TRUE` or if the pixel data is run-length-encoded, the pixel data is copied into newly-allocated memory; otherwise it is reused.

Deprecated since: 2.32

Use `GResource` instead.

#### Parameters

`pixdata`

  Type: `GdkPixdata`

  A `GdkPixdata` to convert into a `GdkPixbuf`.

  The data is owned by the caller of the function.

`copy_pixels`

  Type: `gboolean`

  Whether to copy raw pixel data; run-length encoded pixel data is always copied.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbuf`

A new pixbuf.

The caller of the function takes ownership of the data, and is responsible for freeing it.